Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-1239

puppetlabs ntp module install requires --ignore-requirements with PE 3.3 Install

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
    • Environment:

      Ubuntu 14.04

    • Template:

      Description

      A fresh install PE 3.3 on Ubuntu 14.04 displays the following error when running the command to install the puppetlabs ntp module (puppet forge install puppetlabs-ntp):

      Error: Could not install module 'puppetlabs-ntp' (???)
      No version of 'puppetlabs-ntp' can satisfy all dependencies
      Use `puppet module install --ignore-dependencies` to install only this module

      Here is the full output from running the command:

      root@puppetmaster:/etc/puppetlabs/puppet/modules/docker/manifests# puppet module install puppetlabs/ntp
      Notice: Preparing to install into /etc/puppetlabs/puppet/modules ...
      Notice: Downloading from https://forgeapi.puppetlabs.com ...
      Notice: Found at least one version of puppetlabs-ntp compatible with PE (3.3.0);
      Notice: Skipping versions which don't express PE compatibility. To install
      the most recent version of the module regardless of compatibility
      with PE, use the '--ignore-requirements' flag.
      Notice: Found at least one version of puppetlabs-stdlib compatible with PE (3.3.0);
      Notice: Skipping versions which don't express PE compatibility. To install
      the most recent version of the module regardless of compatibility
      with PE, use the '--ignore-requirements' flag.
      Error: Could not install module 'puppetlabs-ntp' (???)
      No version of 'puppetlabs-ntp' can satisfy all dependencies
      Use `puppet module install --ignore-dependencies` to install only this module

        Attachments

          Activity

            People

            Assignee:
            morgan Morgan Rhodes
            Reporter:
            VMTrooper Trevor Roberts Jr
            Votes:
            0 Vote for this issue
            Watchers:
            7 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support